001-005954

パッケージ版 Garoon

関心あり
0人の方が関心を示しています。

バージョン 3.1.0から3.1.2のガルーンでワークフローを再初期化していると、3.5.0へのバージョンアップに失敗する場合がある。

種別
不具合
機能
  • ワークフロー
  • インストーラー
再現バージョン
  • 3.5.0
改修バージョン
公開日
2012-07-05
更新日
2013-04-24

【発生条件】

 

次の条件を全て満たす場合に発生します。

  • バージョン 3.0.3以前のガルーンをインストールする。

  • 次のいずれかのバージョンへバージョンアップし、ワークフローを再初期化する。
    • バージョン 3.1.0
    • バージョン 3.1.1
    • バージョン 3.1.2

  • バージョン 3.5.0のガルーンへバージョンアップする。

【再現手順】

  1. バージョン 3.0.0のガルーンをインストールします。

  2. バージョン 3.1.0のガルーンにバージョンアップします。

  3. システム管理画面にログインし、[基本システムの管理] > [アプリケーション] > [アプリケーション一覧]の順にクリックします。

  4. 「ワークフロー」欄で、[再初期化] > [OK]の順にクリックします。

  5. バージョン 3.5.0のガルーンにバージョンアップします。

 

→現象発生:
 次のエラーが表示され、バージョンアップに失敗します。

 

 Windowsの場合:
 ---------------------
 バージョンアップスクリプトが異常終了しました。(4)サイボウズオフィシャルパートナー、または販売元にお問い合わせください。

 ---------------------

 

 Linuxの場合:

 ---------------------

 [Mon, 02 Jul 2012 16:55:44 +0900] runForestConverter Start.
 [Mon, 02 Jul 2012 16:55:45 +0900] [Mon, 02 Jul 2012 16:55:45 +0900] Start main.
 [Mon, 02 Jul 2012 16:55:45 +0900] Start checking schemas.
 [Mon, 02 Jul 2012 16:55:45 +0900] Error: The column 'col_export_top_line' in 'tab_grn_workflow_form' is missing.
 [Mon, 02 Jul 2012 16:55:45 +0900] Error: The column 'col_login_name_export' in 'tab_grn_workflow_form' is missing.

 [Mon, 02 Jul 2012 16:55:45 +0900] !!! failed versionup.csp. !!!
 [Mon, 02 Jul 2012 16:55:45 +0900] !!! Versionup4 is failed !!!
 バージョンアップスクリプトが異常終了しました。(4) サイボウズオフィシャルパートナー、または販売元にお問い合わせください。

 ---------------------

 

補足:

  • バージョンアップに失敗した状態でログインすると、次のエラーが表示され、ガルーンを利用できません。

    Windowsの場合:
    ---------------------
    エラー (DB01054)
    不明なカラムを指定しました。

    原因
    Unknown column 'col_timezone' in 'field list'
    ---------------------

    Linuxの場合:
    Internal Server Error

  • バージョン 3.7.0へのバージョンアップ時には、本現象は発生しません。

【回避方法】

 

バージョン 3.5.0へバージョンアップする前に、バージョン 3.1.3へバージョンアップしてください。

 

【対応方法】

 

すでに現象が発生している場合はバージョンアップ前の環境を再構築し、【回避方法】の手順を実施した後に再度バージョンアップを実施してください。